Skip to main content
`Ctrl`+`K`

# KSPLGMRESSetAugDim

Set the number of error approximations to include in the approximation space (default is 2) for `KSPLGMRES`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPLGMRESSetAugDim(KSP ksp, PetscInt dim)

Collective

## Input Parameters

- ksp - the `KSP` context

- dim - the number of vectors to use

## Options Database Key

- -ksp_lgmres_augment dim - the number of error approximations to include

## Note

If this is set to zero, then this method is equivalent to `KSPGMRES`

## See Also

KSP: Linear System Solvers, `KSPLGMRES`, `KSPLGMRESSetConstant()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gmres/lgmres/lgmres.c

## Implementations

KSPLGMRESSetAugDim_LGMRES() in src/ksp/ksp/impls/gmres/lgmres/lgmres.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages